(function(exports) {
	var jiuzhenAPI = {
		// 我的就诊
		getRemind: function(data) {
			return httpRequest.get("basic/api/v1.0/MessageRemindByNotifie", {
				data: data
			})
		}, //查询挂号单列表
		queryRegOrderInfos: function(data) {
			return httpRequest.get("basic/api/v1.0/appointment/registration/search", {
				data: data
			});
		}, //查询挂号单详情
		getRegOrderInfo: function(data) {
			return httpRequest.get("basic/api/v1.0/appointment/registration/" + data);
		},		
		getRegisterWarn: function(data) {
			return httpRequest.get("basic/api/v1.0/dictionaries/170/entries/RegisterWarn",{data:data});
		},		
		CancellationWarn: function(data) {
			return httpRequest.get("basic/api/v1.0/dictionaries/170/entries/CancellationWarn",{data:data});
		},		
		cancelOrder: function(data) {
			return httpRequest.get("basic/api/v1.0/appointment/registration/updateState", {
				data: data
			});
		},//我的消息列表
		messageList: function(data) {
			return httpRequest.get("basic/api/v1.0/messageTemplate/MyMessageList", {
				data: data
			})
		},
		getSatisfactionQuestionws:function(data) {
			return httpRequest.post("basic/api/v1.0/questionnaire/getAllQuestionsByTemplateCode", {
				data: data
			})
		},
		postSatisfactionAnswers:function(data) {
			return httpRequest.post("basic/api/v1.0/questionnaire/saveAnswer", {
				data: data
			})
		},
	}

	exports.jiuzhenAPI = jiuzhenAPI;
})(window)